clear
close all
clc

N=30;%%
c=5;
ms=1;
ss=0;
sm=0.3; %%
rng('default');
mindex=0;

for mm=0:0.25:8 %%
    mindex=mindex+1;
    index=0;
    
    for i=1:2
        [Lambdamu,Lambdasig]=CreateLambda(N,mm,ms,sm,ss);
        d=0;
        while sum(Lambdamu)<0 
            [Lambdamu,Lambdasig]=CreateLambda(N,mm,ms,sm,ss);
            d=d+1;
            if d>100;
                disp('while took too long');
                break
            end
        end
        index=index+1;
        [G]=CreateRandRegGraph(N,c);
        [Links]=FixLinks(G,N);
        
        [Satisfied,Edges]=QuenchedWithZeta(Lambdamu,Lambdasig,Links,0.3);
        e=0;
        while sum(Satisfied<0)>0 || sum(Edges(:,3)+Edges(:,4))>0.1
            e=e+1%%
            [Lambdamu,Lambdasig]=CreateLambda(N,mm,ms,sm,ss);
            d=0;
            while sum(Lambdamu)<0 
                [Lambdamu,Lambdasig]=CreateLambda(N,mm,ms,sm,ss);
                d=d+1%%
                if d>100
                    disp('while took too long')
                    break
                end
            end
            
            [G]=CreateRandRegGraph(N,c);
            [Links]=FixLinks(G,N);
            
            [Satisfied,Edges]=QuenchedWithZeta(Lambdamu,Lambdasig,Links,0.3);
        end
        
        ZerY(index,mindex)=sum(Edges(:,3)==0);
        
    end
    MM(mindex)=mm;
end

save('AvLamZeroY1.mat')

%quit
%exit

ZeroY=mean(ZerY);
ZeroYs=std(ZerY);
figure(5)
errorbar(MM,ZeroY,ZeroYs);

